Name:           openprs
Version:        1.1b10
Release:        3%{?dist}
Summary:        Open Procedural Reasoning System

License:        BSD
URL:            https://www.openrobots.org/wiki/openprs
Source0:        %{name}-%{version}.tar.bz2
Patch0:         openprs-1.1b10-fedora.patch

BuildRequires:  autoconf, automake, libtool
BuildRequires:  readline-devel, texlive-collection-latex, libtool-ltdl-devel, flex, byacc
BuildRequires:  motif-devel, gtk2-devel, libX11-devel, libXt-devel

%description
The OPRS Development Environment is a set of programs designed to help
users create applications using Procedural Reasoning.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        examples
Summary:        Examples for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    examples
This package contains examples that can be used to esperiment with OpenPRS.

%package        gtk
Summary:        Gtk-based GUIs for OpenPRS
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    gtk
This package contains graphical tools implemented using Gtk.

%package        xtools
Summary:        Motif-based GUIs for OpenPRS
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    xtools
This package contains graphical shell and editor for OpenPRS.

%prep
%setup -q
%patch0 -p1 -b .fedora


%build
./bootstrap.sh
%configure --disable-static --enable-gtk --enable-demo
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

rm -rf $RPM_BUILD_ROOT/%{_libdir}/app-defaults
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README LICENSE doc/oprs.pdf
%{_bindir}/kill-mp
%{_bindir}/mp-oprs
%{_bindir}/oprs
%{_bindir}/oprs-cat
%{_bindir}/oprs-server
%{_libdir}/*.so.*
%exclude %{_libdir}/truck-demo-oprs.so*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/truck-demo-oprs.so*

%files examples
%{_datadir}/%{name}
%{_libdir}/truck-demo-oprs.so*
%{_bindir}/truck-demo-oprs

%files gtk
%{_bindir}/gope
%{_bindir}/goprs

%files xtools
%{_bindir}/xoprs
%{_bindir}/ope

%changelog
* Wed Feb  1 2017 Tim Niemueller <tim@niemueller.de> - 1.1b10-3
- Split out visual tools, package truck demo

* Tue Jan 31 2017 Tim Niemueller <tim@niemueller.de> - 1.1b10-2
- Replace lesstif by motif dependency

* Wed Aug  6 2014 Tim Niemueller <tim@niemueller.de> - 1.1b10-1
- Initial package

